Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.actionparam
Class ActionParamMethodBinding

    java.lang.Object
      javax.faces.el.MethodBinding
          org.jboss.seam.actionparam.ActionParamMethodBinding

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class ActionParamMethodBinding

extends javax.faces.el.MethodBinding
implements javax.faces.component.StateHolder

This class assumes that the entire expression is not a string literal. If it is, use SimpleActionMethodBinding instead.

Author:
  Stan Silvert

Constructor Summary
`ActionParamMethodBinding()`
`ActionParamMethodBinding(javax.faces.application.Application application, String expWithParams)`

Method Summary
`String` | `getExpressionString()`
`Class` | `getType(javax.faces.context.FacesContext facesContext)`
`Object` | `invoke(javax.faces.context.FacesContext facesContext, Object[] object)`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext facesContext, Object object)`
`Object` | `saveState(javax.faces.context.FacesContext facesContext)`
`void` | `setTransient(boolean isTransient)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionParamMethodBinding

    public ActionParamMethodBinding()

### ActionParamMethodBinding

    public ActionParamMethodBinding(javax.faces.application.Application application,
                                    String expWithParams)

Method Detail

### getType

    public Class getType(javax.faces.context.FacesContext facesContext)
                  throws javax.faces.el.MethodNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.MethodNotFoundException`

### invoke

    public Object invoke(javax.faces.context.FacesContext facesContext,
                         Object[] object)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.MethodNotFoundException

  Specified by:
    `invoke` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.MethodNotFoundException`

### getExpressionString

    public String getExpressionString()

  Overrides:
    `getExpressionString` in class `javax.faces.el.MethodBinding`

### restoreState

    public void restoreState(javax.faces.context.FacesContext facesContext,
                             Object object)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public Object saveState(javax.faces.context.FacesContext facesContext)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean isTransient)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD